Prov.Skill<-function(recipe,data,graph,type){
  #Define parameters
  i<-switch(type,
            "fcst"="parentnodename_fcst",
            "hcst"="parentnodename_hcst",
            "obs"="parentnodename_obs")
  parentnodename<-graph$parentnodename[[i]]
  reference.nodename<-graph$parentnodename$parentnodename_obs
  graph<-graph$graph
  measure <- recipe$Analysis$Workflow$Skill$metric
  if(type=="fcst" | type=="hcst"){
    #Verification node
    verification.nodename <- paste0("Verification_",type)
    graph <- add_vertices(graph,
                            nv = 1,
                            name = verification.nodename,
                            label="Verification",
                            className = "veri:ForecastVerification")

    #Add Verification metrics
    measure <- unlist(strsplit(measure, " "))

    for (names in measure){
        names<-tolower(names)
        label.name<-getSkillScoreLabel(names)
        definition<-getSkillScoreDefinition(names)
        representation<-getSkillScoreRepresentation(names)

        #Should use a Conf file instead...
        metric.nodename<- paste0("Metrics_", type, "_",names) #Rename? 
        graph <- add_vertices(graph,
                                nv = 1,
                                name = metric.nodename,
                                label=label.name,
                                className = representation,
                                attr=list("dc:title"=label.name, "dc:description"=definition))

        if (representation=="veri:SkillScore"){
          graph <- add_edges(graph, 
                             c(getNodeIndexbyName(graph, metric.nodename),
                               getNodeIndexbyName(graph, verification.nodename)),
                             label = "veri:withQualityAspect")  
        }else{
          graph <- add_edges(graph, 
                             c(getNodeIndexbyName(graph, metric.nodename),
                               getNodeIndexbyName(graph, verification.nodename)),
                             label = "veri:withForecastRepresentation")           
        }
    }
    # Linking the verification
    graph <- add_edges(graph, 
                        c(getNodeIndexbyName(graph, parentnodename),
                        getNodeIndexbyName(graph, verification.nodename)),
                        label = "veri:hadValidation")
    
    # Linking the verification with the observations
    graph <- add_edges(graph, 
                        c(getNodeIndexbyName(graph, reference.nodename),
                            getNodeIndexbyName(graph,verification.nodename)),
                        label = "veri:withReference")
    
    return(list("graph"=graph,"parentnodename"=verification.nodename))
    
  }else{
    return(list("graph"=graph, "parentnodename"=parentnodename))
  }
  print(paste0("Skill provenance computed for ",type))
}